<?php
$db_server = "localhost";
$db_user ="root";
$db_pass ="";
$db_name ="e0";
$conn ="";

try{
$conn = mysqli_connect($db_server, $db_user, 
                        $db_pass, $db_name);
}catch(mysqli_sql_exception){
    echo "SQL Problem perhaps brother ...";
}
if($conn){
    echo "Connected to E0";
}else{
    echo "No connection";
}
/*
    Amal,varchar(2000),YES,NULL;
    Ihsan,int(4),NO,1;
    Islam,int(4).NO,1;
    Iman,int(7),NO,1;
*/
class Al_Islam{
    public $Amal_Baik;
    public $Iman;
    public $Islam;
    public $Ihsan;

    public function __construct($Amal_Baik,$Iman,$Islam,$Ihsan){
        $this->Amal_Baik=$Amal_Baik;
        $this->Iman=$Iman;
        $this->Islam=$Islam;
        $this->Ihsan=$Ihsan;
    }
    public function GetData($conn,$search){
        $Gungnir =[];
        $sql = "SELECT amal,ihsan,islam,iman FROM achernar WHERE amal = '$search'";
        $result = mysqli_query($conn,$sql);
        if(mysqli_num_rows($result)>0){
            while($row=mysqli_fetch_assoc($result)){
            $amal = $row['Amal'];
            $ihsan = $row['Ihsan'];
            $Islam = $row['Islam'];
            $Iman = $row['Iman'];
            return $Gungnir =[$amal,$ihsan,$Islam,$Iman];
        }
        }else{
        echo "Tidak ada data";
        }
    }
    /*
        Fungsi ini mengartikan Islam sebagai Ilmu, dan sekaligus Agama.
        Dalam pendefinisian oleh Kemendikbud di lakukan pendefinisian 816 rumpun ilmu dimulai dari 100.
        Maka sebagai media Muhasabah, maka di adaptasi sistem Silabus, Buku Saku, dan Key Performance Indicator
        sebagai media untuk menilai diri.
    */

    # Wahn : Penyakit yang mengurangi Iman karna terlalu cinta Kenikmatan dunia
    # Ria  : Penyakit yang mengurangi Amal, dan merusak iman karna didasari oleh pandangan Orang terhadap diri atau ingin disanjung
    # Khawarij : Penyakit yang merusak Islam, yaitu merasa Ilmu nya lebih tinggi dibanding Muslim lainnya
    # Munafik : Penyakit, dimana sifat Sidiq, Amanah, dan Fathanah terganggu oleh Nafsu
    # Kafir : Keadaan dimana belum menerimanya keimanan atau membuang keimanan

}

class Muslim extends Al_Islam{
    public $Amal_Buruk;
    public $Muhasabah;
    public $Akal;
    #Adalah alat untuk memfasilitasi Hati dalam memecahkan masalah untuk memenuhi tugas Hati 
    public $Hati;
    #Adalah alat untuk Mengimani hal - hal yang tidak dapat digapai oleh Akal, tempat dimana Iman dan Islam bersemayam
    public $Nafsu;
    #Mengenai nafsu sendiri dipisah dari Hati, karna dorongannya cenderung menuju kepada kerusakan
    /*
        Dalam pendekatan nya Akal di ukur dengan Kognitif, Hati dan Nafsu diukur dengan Model Kepribadian, 
        Ingat Nafsu dan Hati harus terpisah !, namun dalam keilmuannya keduanya di satukan dengan Nafsu memiliki 
        catatan cenderung kepada Hedonisme, dan Fujur.
        Untuk melakukan Muhasabah diri melalui program, 
    */
    public $Ikhsan;

    public function Adab(){

    }
    public function Akhlak(){

    }
}

include("D:/G424/1. N Abdillah Ramadlan/Proposal 14461003/PARA/Project/Geocentric.php");
include("D:/G424/1. N Abdillah Ramadlan/Proposal 14461003/REAP/Annonate/ReadTXTtoPHP.php");